Bug 1569847 - RFE: have complete colonizer deployment worflow inputs feeded to a file
Summary: RFE: have complete colonizer deployment worflow inputs feeded to a file
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-colonizer
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Dustin Black
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 05:59 UTC by Nag Pavan Chilakam
Modified: 2019-04-18 09:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-18 09:54:47 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/gluster gluster-colonizer issues 64 None None None 2018-09-17 13:16:11 UTC
Github https://github.com/gluster gluster-colonizer issues 65 None None None 2018-09-17 13:16:56 UTC

Description Nag Pavan Chilakam 2018-04-20 05:59:11 UTC
Description of problem:
---------------------
Currently colonizer deployment asks for multiple inputs from admin to deploy gluster. However below are the problems
1)if a manual mistake is made, we need to restart whole deployment again, which is a bit cumbersome
2)it can be a bit cumbersome to even having to enter multiple details through prompts.
Instead we can have an option, where user enters all the required details, in a common template form say an yaml file(like the one where we can mention volume name, disks etc) and then the user just have to run the script, and wait for colonizer to deploy the cluster. No more prompts no more accidentally erroneous  inputs to be fed.

the template yaml can even have the instructions at each field to be entered



Version-Release number of selected component (if applicable):
------------
colonizer-1.1.2

Comment 5 Dustin Black 2018-09-17 13:16:12 UTC
I have opened to upstream issues to track separately features for re-input of fields and for unattended installation via template file.

Comment 6 Yaniv Kaul 2019-04-18 09:54:47 UTC
Closing all Colonizer BZs (as DEFERRED) as we do not intend to work on them for the time being.


Note You need to log in before you can comment on or make changes to this bug.